//++
//
// ms_centre audio processing header module (Module.h)
//
//  2005, Nick Morgalla
// MorSoft / MorSynth
// June 2005
//
// Using SynthEdit SDK V2.180
// Based on examples provided by:
//  2002, Jeff M Soft und Hardware GmbH, All Rights Reserved
//
//--

#if !defined(_SEModule_h_inc_)
#define _SEModule_h_inc_

#include "SEModule_base.h"

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback2 seaudioMaster, void *p_resvd1);
	~Module();

	static bool getModuleProperties (SEModuleProperties* properties); 
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	void SE_CALLING_CONVENTION sub_process(long buffer_offset, long sampleFrames );
	void SE_CALLING_CONVENTION sub_process_static(long buffer_offset, long sampleFrames );
	//void OnPlugStateChange(SEPin *pin);
	void CreateBuffers();
	virtual void open();

private:

	bool In1;
	bool In2;
	bool In3;
	bool In4;
	bool Out;
};
#endif
